#include <limits.h>
#include <stdio.h>

int main(void)
{
  printf("size of unsigned char: %d\n", (int)sizeof(unsigned char) * CHAR_BIT) ;
  printf("size of unsigned short int: %d\n", (int)sizeof(unsigned short int) * CHAR_BIT) ;
  printf("size of unsigned int: %d\n", (int)sizeof(unsigned int) * CHAR_BIT) ;
  printf("size of unsigned long int: %d\n", (int)sizeof(unsigned long int) * CHAR_BIT) ;
  printf("size of unsigned long long int: %d\n", (int)sizeof(unsigned long long int) * CHAR_BIT) ;

  return(0) ;
}
